Package org.eclipse.jdt.debug.core

# Interface IJavaClassPrepareBreakpoint

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.model.IBreakpoint`, `IJavaBreakpoint`, `org.eclipse.debug.core.model.ITriggerPoint`

public interface IJavaClassPrepareBreakpoint extends IJavaBreakpoint
A breakpoint that suspends execution when a class is prepared in a target VM.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TYPE_CLASS`
Constant indicating a class prepare breakpoint is associated with a class type.
`static final int`
`TYPE_INTERFACE`
Constant indicating a class prepare breakpoint is associated with an interface type.

### Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint

`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

### Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`SUSPEND_THREAD, SUSPEND_VM`

### Fields inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`TRIGGERPOINT`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMemberType()`
Returns a constant indicating what kind of type this breakpoint is associated with.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint

`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`addBreakpointListener, addInstanceFilter, getBreakpointListeners, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isInstalled, removeBreakpointListener, removeInstanceFilter, removeThreadFilter, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

### Methods inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`isTriggerPoint, setTriggerPoint`

## Field Details

### TYPE_CLASS

static final int TYPE_CLASS
Constant indicating a class prepare breakpoint is associated with a class type.

See Also:
  - Constant Field Values

### TYPE_INTERFACE

static final int TYPE_INTERFACE
Constant indicating a class prepare breakpoint is associated with an interface type.

See Also:
  - Constant Field Values

## Method Details

### getMemberType

int getMemberType() throws org.eclipse.core.runtime.CoreException
Returns a constant indicating what kind of type this breakpoint is associated with.

Returns:
  one of `TYPE_CLASS` or `TYPE_INTERFACE`
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to retrieve the attribute